Bug 779167 - (SOA-1562) Schema validation: DocumentBuilder can be reused between messages
Schema validation: DocumentBuilder can be reused between messages
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 ER1
Unspecified Unspecified
medium Severity medium
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-27 08:28 EDT by Jiri Pechanec
Modified: 2010-06-01 02:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 08:42:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1562 None None None Never

  None (edit)
Description Jiri Pechanec 2009-10-27 08:28:21 EDT
Date of First Response: 2009-12-07 14:54:02
project_key: SOA

New DocumentBuilder is created for each incoming message. This is unnecessary and can cause minor performance penalty.
Comment 3 nwallace 2010-01-08 13:54:43 EST
Moved this up to 5.0.1 as there's a discussion on https://jira.jboss.org/jira/browse/SOA-1763 that probably affects this.
Comment 4 David Le Sage 2010-02-09 23:17:35 EST
I have documented this for the Release Notes.  The current draft text states:



https://jira.jboss.org/jira/browse/SOA-1562

    Currently, a new DocumentBuilder is created for each incoming message. This has a minor
    impact upon system performance.
Comment 5 Kevin Conner 2010-04-26 05:09:55 EDT
Link: Added: This issue depends JBESB-3290
Comment 6 Tom Fennelly 2010-04-26 07:54:37 EDT
I assume this is talking about the SchemaValidationAction class.

I replaced the DOM parsing with simply wrapping the message payload string in a StreamSource and passing it to the validator (i.e. no DOM parser).  Modified one of the tests and it's x2 faster for 5000 iterations. 
Comment 7 Kevin Conner 2010-04-26 09:40:25 EDT
Updated in ESB codebase, will be in next merge.
Comment 8 Jiri Pechanec 2010-05-28 08:42:12 EDT
Verified in CR1 sources
Comment 9 David Le Sage 2010-05-31 23:06:59 EDT
Release note draft states:


https://jira.jboss.org/browse/JBESB-3290

    A new DocumentBuilder was being created for each incoming message. This had a minor
    impact upon system performance. This has been resolved by eliminating the need for DOM
    parsing by simply wrapping the message payload string in a StreamSource and passing that to
    the validator instead. As a result, performance is now much faster.

Note You need to log in before you can comment on or make changes to this bug.